@use 'sass:color';

@use '@material/theme/color-palette';

// Svelte Colors!
@use '@material/theme/index' as theme with (
  // $primary: #ff3e00,
  $primary: #1d4ed8,
  $secondary: #676778,
  $surface: #fff,
  $background: #fff,
  $error: color-palette.$red-900
);

// Import the mixins.
@use '@material/typography/index' as typography;

// Make sure SMUI's import happens first, since it specifies variables.
@use '@smui/snackbar/style' as smui-snackabar;
// See https://github.com/material-components/material-components-web/tree/v14.0.0/packages/mdc-snackbar
@use '@material/snackbar/mixins' as snackbar;
// See https://github.com/material-components/material-components-web/tree/v14.0.0/packages/mdc-theme
@use '@material/theme/theme-color';

html,
body {
  background-color: theme.$surface;
  color: theme.$on-surface;
}

a {
  color: #40b3ff;
}
a:visited {
  color: color.scale(#40b3ff, $lightness: -35%);
}

html {
  @include typography.typography('body1');
}

h1 {
  @include typography.typography('headline1');
}

h2 {
  @include typography.typography('headline2');
}

h3 {
  @include typography.typography('headline3');
}

h4 {
  @include typography.typography('headline4');
}

h5 {
  @include typography.typography('headline5');
}

h6 {
  @include typography.typography('headline6');
}

caption {
  @include typography.typography('caption');
}

code,
pre {
  font-family: 'Roboto Mono', monospace;
}

small {
  font-size: 0.9em;
}

big {
  font-size: 1.1em;
}

b,
strong {
  font-weight: bold;
}
 
.mdc-snackbar.snack-success {
  @include snackbar.fill-color(color-palette.$green-500);
  @include snackbar.label-ink-color(
    theme-color.accessible-ink-color(color-palette.$green-500)
  );
}
 
.mdc-snackbar.snack-warning {
  @include snackbar.fill-color(color-palette.$orange-500);
  @include snackbar.label-ink-color(
    theme-color.accessible-ink-color(color-palette.$orange-500)
  );
}
 
.mdc-snackbar.snack-error {
  @include snackbar.fill-color(color-palette.$red-500);
  @include snackbar.label-ink-color(
    theme-color.accessible-ink-color(color-palette.$red-500)
  );
}
